using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Aram_CRM_Project.BLL.Entity
{
    class Cr
    {
        private string _Id = string.Empty;
        private string _Name = string.Empty;
        private string _CustomerGroupId = string.Empty;
        private string _CustomerGroupName = string.Empty;
        private string _StartDate = string.Empty;
        private string _EndDate = string.Empty;
        private string _Date = string.Empty;
        private string _Comment = string.Empty;
        private string _Subject = string.Empty;
        private string _CustomerId = string.Empty;
        private string _CustomerName = string.Empty;
        private string _Style = string.Empty;
        private string _UserId = string.Empty;
        private string _ResultCrId = string.Empty;
        private string _ResultCrName = string.Empty;
        private string _Tel = string.Empty;
        private string _CrTypeId = string.Empty;
        private string _CrTypeName = string.Empty;

        public string CrTypeId
        {
            set { _CrTypeId = value; }
            get { return _CrTypeId; }
        }

        public string CrTypeName
        {
            set { _CrTypeName = value; }
            get { return _CrTypeName; }
        }

        public string Tel
        {
            set { _Tel = value; }
            get { return _Tel; }
        }

        public string ResultCrName
        {
            set { _ResultCrName = value; }
            get { return _ResultCrName; }
        }

        public string ResultCrId
        {
            set { _ResultCrId = value; }
            get { return _ResultCrId; }
        }

        public string UserId
        {
            set { _UserId = value; }
            get { return _UserId; }
        }

        public string Style
        {
            set { _Style = value; }
            get { return _Style; }
        }

        public string CustomerName
        {
            set { _CustomerName = value; }
            get { return _CustomerName; }
        }

        public string CustomerId
        {
            set { _CustomerId = value; }
            get { return _CustomerId; }
        }

        

        public string Subject
        {
            set { _Subject = value; }
            get { return _Subject; }
        }

        public string Date
        {
            set { _Date = value; }
            get { return _Date; }
        }

        public string StartDate
        {
            set { _StartDate = value; }
            get { return _StartDate; }
        }

        public string EndDate
        {
            set { _EndDate = value; }
            get { return _EndDate; }
        }

        public string Id
        {
            set { _Id = value; }
            get { return _Id; }
        }

        public string Name
        {
            set { _Name = value; }
            get { return _Name; }
        }

        public string Comment
        {
            set { _Comment = value; }
            get { return _Comment; }
        }

        public string CustomerGroupId
        {
            set { _CustomerGroupId = value; }
            get { return _CustomerGroupId; }
        }

        public string CustomerGroupName
        {
            set { _CustomerGroupName = value; }
            get { return _CustomerGroupName; }
        }
    }
}
